<template>
    <div class="header m-b-100">
        <div class="header-top"></div>
        <div class="container flex justify-between align-center p-t-30 rs-hd-style">
            <div class="header-logo">
                <a href="#scroll"><img src="../assets/images/logo.png" alt="img"></a>
            </div>
            <nav class="header-menu p-l-100">
                <ul class="flex">
                    <li class="nav-item"><a class="nav-link" href="#">home</a></li>
                    <li class="nav-item"><a class="nav-link" href="#">about</a></li>
                    <li class="nav-item"><a class="nav-link" href="#">srvice</a></li>
                    <li class="nav-item"><a class="nav-link" href="#">blog</a></li>
                    <li class="nav-item"><a class="nav-link" href="#">contact us</a></li>
                </ul>
            </nav>
            <ul class="flex login">
                <li><i class="fas fa-user-alt"></i></li>
                <li><i class="fas fa-search"></i></li>
            </ul>





            <button class="menu-btn" @click="isVisible =!isVisible"><i class="fas fa-bars fa-2x"></i></button>
        </div>

        <nav class="rs-header_nav" :class="{active:isVisible}">
            <ul class="rs-header-nav-list">
                <li class="rs-header-nav-list-item"><a>home</a></li>
                <li class="rs-header-nav-list-item"><a>about</a></li>
                <li class="rs-header-nav-list-item"><a>srvice</a></li>
                <li class="rs-header-nav-list-item"><a>blog</a></li>
                <li class="rs-header-nav-list-item"><a>contact us</a></li>
                <ul class="flex justify-between rs-login">
                    <li class="p-l-10 p-r-10"><i class="fas fa-user-alt"></i></li>
                    <li class="p-l-10 p-r-10"><i class="fas fa-search"></i></li>
                </ul>
            </ul>
        </nav>




    </div>
</template>

<script>
    export default {
        name: "Header",
        data:() => ({
            isVisible:false
        })
    }
</script>

<style lang="scss">
    @import "src/assets/sass/utilities/variables";
    @import "src/assets/sass/utilities/mixins";

    .header {
        position: relative;
        z-index: 1;
        .header-top {
            background: $color-secondary;
            height: 38px;
        }
        .header-logo {
            img {
                &:hover {
                    opacity: .7;
                }
            }
        }
        .header-menu {
            .nav-item {
                margin-right: 72px;
                position: relative;

                &:before {
                    content: '';
                    position: absolute;
                    width: 0;
                    height: 3px;
                    bottom: 0;
                    background: $color-secondary;
                    @include transition(all .3s);
                }
                &:last-child {
                    margin-right: 0;
                }
                &:hover {
                    &:before {
                        width: 100%;
                    }
                }

                .nav-link {
                    text-transform: uppercase;
                    color: $color-primary;
                }
            }

        }
        .login {
            li {
                margin-right: 100px;
                &:last-child {
                    margin-right: 0;
                }
            }
        }

        .rs-header_nav {
            display: none;
            width: 78%;
            position: absolute;
            left: -78%;
            background: $color-secondary;
            @include transition(all .3s);

            .rs-header-nav-list {
                .rs-header-nav-list-item {
                    text-transform: uppercase;
                    color: #000000;
                    padding-left: 10px;
                    font-size: 15px;
                    margin-bottom: 5px;
                    border-bottom: 2px solid #ffffff;
                    @include transition(all .3s);

                    &:hover {
                        cursor: pointer;
                        background: black;

                        color: #ffffff;

                    }
                }
            }

            &.active {
                left: 10px;
                position: relative;
            }

        }


        .menu-btn {
            display: none;
            padding: 5px 10px;
            background: $color-secondary;
            border-radius: 3px;
            @include transition(all .3s);
            &:hover {
                cursor: pointer;
                opacity: .7;

            }
        }

    }

</style>